Need private packages and team management tools?Check out npm Teams »

@ember/edition-utils

1.2.0 • Public • Published

@ember/edition-utils

This package is the officially supported mechanism for declaring and detecting the specific edition that a given application is using.

Usage

Declaring Edition

In order to declare which edition of Ember your application (or addon) is compatible with you would call setEdition from within your .ember-cli.js file. This might look something like:

const { setEdition } = require('@ember/edition-utils');
 
setEdition('octane');
 
module.exports = {
  // other configuration here
}

Detecting Edition

In order to detect if the currently running application is using at least a specific edition, you would call has. This will most commonly be used from within various addon's to determine which blueprint code to run. For example:

const { has } = require('@ember/edition-utils');
 
if (has('octane')) {
  // do octane stuff
} else {
  // do classic mode stuff
}

License

This project is licensed under the MIT License.

Keywords

none

Install

npm i @ember/edition-utils

DownloadsWeekly Downloads

113,428

Version

1.2.0

License

MIT

Unpacked Size

12.6 kB

Total Files

8

Last publish

Collaborators

  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar
  • avatar